Sync fsl 4.1.6-1 (multiverse) from Debian unstable (non-free)

Bug #602846 reported by Artur Rona on 2010-07-07
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
fsl (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync fsl 4.1.6-1 (multiverse) from Debian unstable (non-free)

Explanation of the Ubuntu delta and why it can be dropped:
The current delta is related to Debian bug http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=546003 which was fixed in 4.1.5-1, so it can be synced.

Changelog entries since current maverick version 4.1.4-2ubuntu1:

fsl (4.1.6-1) unstable; urgency=low

  * New upstream release. Merged various patches with upstream.
    Closes: #581095.

 -- Michael Hanke <email address hidden> Mon, 05 Jul 2010 10:44:16 -0400

fsl (4.1.5.2-3) unstable; urgency=low

  * Switch to source package format 3.0 (quilt). Convert all Git
    feature/bugfix branches into quilt patch series.
  * Remove obsolete dh_desktop call from debian/rules.
  * Add debhelper dependency variables to fsl-doc control stanza.
  * No longer compile with '-Wl,--as-needed' to prevent symbols from
    libcprob to be substituted by external replacements.
  * Updated and extended the package description.
  * Changed maintainer to NeuroDebian. Moved myself into uploaders and
    added Yaroslav Halchenko.
  * Fix syntax error in 'rotate_bvecs' script.

 -- Michael Hanke <email address hidden> Sun, 02 May 2010 19:19:25 -0400

fsl (4.1.5.2-2) unstable; urgency=low

  * Fix broken fslmaths option (-tfce). Thanks to Clark Johnson and Matthew
    Webster.
  * Bumped Standard version to 3.8.4.0 -- no changes necessary.
  * Remove support for octave2.1 dependency and allow for octave3.2.
    Thanks to Thomas Weber for the report (Closes: #572763).

 -- Michael Hanke <email address hidden> Sat, 06 Mar 2010 08:28:38 -0500

fsl (4.1.5.2-1) unstable; urgency=low

  * New upstream service release. Fixes issues with broken FNIRT scripts.
  * Include `fslecho` script in the binary package (Closes: #567133). Thanks to
    Petr Hlustík for reporting.

 -- Michael Hanke <email address hidden> Thu, 28 Jan 2010 09:27:57 -0500

fsl (4.1.5-1) unstable; urgency=low

  * New upstream release.
    * An issue with Randomise "pausing" has been fixed.
    * There are some improvements to the bedpostx monitor script.
    * Large speedup for invwarp by automatically adjusting the useful FOV
      internally (no cropping of the original images needed).
    * Non-linear initialisation in bedpostx to allow better convergence of
      the MCMC chains
    * Some improvements and new options in Probtrackx:
      - allows to input nonlinear (FNIRT) warpfield instead of FLIRT
        matrices
      - bug fix in initial fibre selection
      - tracking from freesurfer cortical surface (into the brain)
      - tracking from random locations within a seed voxel
  * No longer compile with '-ansi -pedantic', since a significant part of the
    sources is actually not ANSI compliant (Closes: #546003).
  * Don't use roundl() to round doubles in src/basisfield/splinefield.cpp to
    prevent FTFBS on ARMEL (Closes: #513272).
  * Bumped Standard version to 3.8.3.0 -- no changes necessary.
  * New config variable FSLPARALLEL. If set, FSL will submit jobs to a running
    Sun Gridengine. By default, this setting is disabled in /etc/fsl/fsl.sh.
    (Closes: #546238). Added suggested package 'gridengine-client'.
    See README.Debian for more information.
  * Remove all menu items of GUI-apps that are directly accessible from the
    central FSL GUI. The menu got too crowded with all the different FSL
    items.

 -- Michael Hanke <email address hidden> Fri, 22 Jan 2010 18:01:24 -0500

Changed in fsl (Ubuntu):
importance: Undecided → Wishlist
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fsl - 4.1.6-1

---------------
fsl (4.1.6-1) unstable; urgency=low

  * New upstream release. Merged various patches with upstream.
    Closes: #581095.

fsl (4.1.5.2-3) unstable; urgency=low

  * Switch to source package format 3.0 (quilt). Convert all Git
    feature/bugfix branches into quilt patch series.
  * Remove obsolete dh_desktop call from debian/rules.
  * Add debhelper dependency variables to fsl-doc control stanza.
  * No longer compile with '-Wl,--as-needed' to prevent symbols from
    libcprob to be substituted by external replacements.
  * Updated and extended the package description.
  * Changed maintainer to NeuroDebian. Moved myself into uploaders and
    added Yaroslav Halchenko.
  * Fix syntax error in 'rotate_bvecs' script.

fsl (4.1.5.2-2) unstable; urgency=low

  * Fix broken fslmaths option (-tfce). Thanks to Clark Johnson and Matthew
    Webster.
  * Bumped Standard version to 3.8.4.0 -- no changes necessary.
  * Remove support for octave2.1 dependency and allow for octave3.2.
    Thanks to Thomas Weber for the report (Closes: #572763).

fsl (4.1.5.2-1) unstable; urgency=low

  * New upstream service release. Fixes issues with broken FNIRT scripts.
  * Include `fslecho` script in the binary package (Closes: #567133). Thanks to
    Petr Hlustík for reporting.

fsl (4.1.5-1) unstable; urgency=low

  * New upstream release.
    * An issue with Randomise "pausing" has been fixed.
    * There are some improvements to the bedpostx monitor script.
    * Large speedup for invwarp by automatically adjusting the useful FOV
      internally (no cropping of the original images needed).
    * Non-linear initialisation in bedpostx to allow better convergence of
      the MCMC chains
    * Some improvements and new options in Probtrackx:
      - allows to input nonlinear (FNIRT) warpfield instead of FLIRT
        matrices
      - bug fix in initial fibre selection
      - tracking from freesurfer cortical surface (into the brain)
      - tracking from random locations within a seed voxel
  * No longer compile with '-ansi -pedantic', since a significant part of the
    sources is actually not ANSI compliant (Closes: #546003).
  * Don't use roundl() to round doubles in src/basisfield/splinefield.cpp to
    prevent FTFBS on ARMEL (Closes: #513272).
  * Bumped Standard version to 3.8.3.0 -- no changes necessary.
  * New config variable FSLPARALLEL. If set, FSL will submit jobs to a running
    Sun Gridengine. By default, this setting is disabled in /etc/fsl/fsl.sh.
    (Closes: #546238). Added suggested package 'gridengine-client'.
    See README.Debian for more information.
  * Remove all menu items of GUI-apps that are directly accessible from the
    central FSL GUI. The menu got too crowded with all the different FSL
    items.
 -- Artur Rona <email address hidden> Mon, 05 Jul 2010 10:44:16 -0400

Changed in fsl (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers